variables:
  PYLINT_THRESHOLD: "9.5"
  PYTEST_COVERAGE_THRESHOLD: "100"

include:
  - remote: https://jobs.just-ci.dev/v3.0.1/'docker/kaniko.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/black.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/pylint.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/pytest.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/pip-outdated.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/bandit.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/safety.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/mypy.yml'
  - remote: https://jobs.just-ci.dev/v3.0.1/'python/semantic-release/private.yml'

kaniko:
  variables:
    PYTHON_TEST: "true"
